Subject: Re: [PATCH/RFC][GSoC] make "git diff --no-index $directory $file" DWIM better.

From: Junio C Hamano <[email-masked]>
Date: Sun, 15 Mar 2015 15:00:32 -0700

Eric Sunshine <[email-masked]> writes:

>>> Is this name supposed to stand for "dir'n'file",...
> ...I personally find the idiomatic name 'path'
> easier to grok, however, Junio, of course, has final say-so.

If I were presented two identical patches, one calling it "path" and
the other calling it "dirnfile", I would definitely take the former,
but I agree that this is more of a preference than a taste, the
latter of which implies that you could make a value judgement,
i.e. "good taste" vs "bad taste".

If for some reason we had a code that called a variable "dirnfile"
already in our official codebase and we saw a patch to "correct"
that to "path", I would likely say that it is not worth the churn to
apply such a "correction" patch.  If the new name were "pathname",
however, I might be pursuaded to take it, simply because a
"pathname" is a lot more familiar word than "dirnfile".